Viewing Issue Advanced Details Jump to Notes ] sorcerer.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06215 Misc. Minor Always May 18, 2016, 16:58 Jun 11, 2016, 09:55
Tester demotester View Status Public Platform MESS (Unofficial Binary)
Assigned To Robbbert Resolution Fixed OS Windows XP
Status [?] Resolved   Driver sorcerer.cpp
Version 0.173 Fixed in Version 0.175 Build Normal
Summary MESS-specific 06215: sorcererd: Refuse to load some cpm programs!
Description Have been testing / comparing the disk emulation of JSorcerer Stand alone emu and MAME/MESS sorcererd driver.
JSorcerer Stand alone emulator - http://www.liaquay.co.uk/sorcerer/instructions.html

Both emus boot CPM disk fine with >GO BC00 from Monitor!
But there is a problem; MESS refuse to load programs: EXBASIC, MBASIC, OBASIC, that loads / works fine in JSorcerer emu!

As there exist a source code of JSorcerer Stand alone emu, hope it might be of help to improve the sorcererd driver disk emulation.
http://www.liaquay.co.uk/sorcerer/sorcerer-1.30.zip (or http://www.liaquay.co.uk/sorcerer/ - see on page bottom)
It would be nice to see the MESS sorcererd driver disk emu to behave the same as JSorcerer disk emu! (if possible)
Steps To Reproduce
Additional Information Other for info..

There are some .COM files on CPM disk that need Standard Basic cartridge to be enabled / attached!
For example files like: BASIC, BASIC1, BASIC2, CALENDAR, DISKBAS, LIBINDEX and TOUCH.

So, run the CPM in MESS sorcered driver with Standard Basic cartridge attached, then in basic type BYE,
in Monitor type >GO BC00 to load CP/M, in CP/M type (for example) BASIC1, then in basic type RUN.

This works fine in MESS. (nice)
Flags
Regression Version
Affected Sets / Systems sorcererd
Attached Files
 


-  Notes
User avatar
No.12705
demotester
(Tester)
May 24, 2016, 17:40
Thanks Robbert for accepting the job! (no need to hurry, take your time as needed)
User avatar
No.12752
Robbbert
(Developer)
Jun 10, 2016, 05:24
Any file larger than 16k will not load from disk. The first 16k loads ok, then it hangs.

Reason not known.
User avatar
No.12753
demotester
(Tester)
Jun 10, 2016, 08:48
Regardless, thanks for the effort ! :)
User avatar
No.12754
Robbbert
(Developer)
Jun 11, 2016, 09:08
Fixed. EXBASIC, MBASIC, OBASIC all run fine.
User avatar
No.12755
demotester
(Tester)
Jun 11, 2016, 09:55
Great, thank you very much !